Name:           kio-zeroconf
Version:        24.02.0
Release:        1%{?dist}
Summary:        KIO worker to discover file systems by DNS-SD (zeroconf)

License:        GPL-2.0-or-later AND LGPL-2.0-only
URL:            https://invent.kde.org/network/%{name}
Source0:        https://download.kde.org/%{stable_kf6}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  gcc-c++
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)

BuildRequires:  libappstream-glib
BuildRequires:  gettext

%description
%{summary}.

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install
%find_lang kio5_zeroconf
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files -f kio5_zeroconf.lang
%license LICENSES/*
%{_kf6_qtplugindir}/kf6/kded/dnssdwatcher.so
%{_kf6_qtplugindir}/kf6/kio/zeroconf.so
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%{_metainfodir}/org.kde.kio_zeroconf.metainfo.xml
%{_kf6_datadir}/remoteview/zeroconf.desktop

%changelog
* Mon Feb 26 2024 Steve Cossette <farchord@gmail.com> - 24.02.0-1
- 24.02.0 (And initial release)
